# INTEGER data type

INTEGER provides 4 bytes of storage for integer values.

#### Syntax

    { INTEGER | INT }

#### Corresponding Compile-Time Java Type

java.lang.Integer

#### JDBC Metadata Type (java.sql.Types)

INTEGER

#### Minimum Value

-2147483648 (java.lang.Integer.MIN_VALUE)

#### Maximum Value

2147483647 (java.lang.Integer.MAX_VALUE)

When mixed with other data types in expressions, the resulting data type follows the rules shown in Numeric type promotion in expressions.

See also Storing values of one numeric data type in columns of another numeric data type.

    3453
    425

Parent topic: Data types